#include <iostream>
#include <vector>
using namespace std;
int main(){
    int n,k,x,s=0;
    vector<int> a;
    cin>>n>>k;
    if(k>n)
        cout<<0;
    else{
        a.assign(2*n+1,0);
        for(int i=0;i<n;i++){
            cin>>x;
            a[n+x]++;
            if(a[n+x]==k)
                s++;
        }
        cout<<s<<endl;
        for(int i=0;i<2*n+1 && s!=0;i++)
            if(a[i]>=k){
                cout<<i-n<<' ';
                s--;
            }
    }
}